Subject: GrabFocus and GPM

From: [email-masked]
Date: Sun, 13 Feb 2000 13:00:45 -0600 (CST)

Full_Name: Neil Zanella
Version: 2.3.13
CVS_Date: 
OS: Linux 2.2.13
X_Server: XFree86 3.3.2
Submission from: (NULL) (129.128.153.50)

Hello,

I am using the GrabFocus feature that causes newly mapped window to grab
the
focus. Things work fine except for GPM (the cut and paste utility):

- I cut some text with the first mouse button.
- I place the X cursor on top of a first xterm.
- I launch a second xterm through a keyboard binding. The mouse cursor
  is still on top of the first xterm and not on top of the second which
  grabs the focus via the GrabFocus configuration option.
- Now typing send characters to the second xterm which is fine but pasting
  with the middle mouse button sends the stuff to the first xterm. This
  behavior is rather unexpected. Pasting should send the text to the xterm
  which has the focus.

Best Regards,

Neil Zanella
[email-masked]

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]